Membership
/- Searches for billing runs using predefined parameters
Creates a new billing run record that does not already exist.
Execute Batch Operations
Generates a billing run from a template
Returns a list of records with the specified recurring_billing_run_id
Refreshes a billing run
Returns a billing run from the system by its ID.
Returns a billing run from the system by its ID.
Partially updates a billing run with the specified ID.
Updates a billing run with the specified ID.
Searches for billing runs...
Searches for billing runs using predefined parameters
Security
knox-authorizer
The billing run that you would like to be saved.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/billingRuns/{tenantId}/search
- https://membership.api.rhythmsoftware.comhttps://membership.api.rhythmsoftware.com/billingRuns/{tenantId}/search
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/billingRuns/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"generate_renewal_notices": [
true
],
"generate_renewal_orders": [
true
],
"ids": [
"string"
],
"name": "string",
"perform_auto_renewals": [
true
],
"perform_drops": [
true
],
"run_date": [
"string",
"string"
],
"scheduled_run_date": [
"string",
"string"
],
"send_auto_renewal_reminders": [
true
],
"send_expiring_credit_card_reminders": [
true
],
"send_renewal_reminders": [
true
],
"status": [
"string"
]
}'Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }